Bug 91544 - Publishing broken after Versioning land
Publishing broken after Versioning land
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
high Severity high
: ---
: ---
Assigned To: Rafael H. Schloming
Jon Orris
:
Depends On:
Blocks: 88926
  Show dependency treegraph
 
Reported: 2003-05-23 17:51 EDT by Jon Orris
Modified: 2014-12-01 18:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-02 17:59:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Orris 2003-05-23 17:51:07 EDT
Description of problem:
@31623

On publishing an Agenda, get the following error:

500 Servlet Exception
com.arsdigita.util.AssertionError: Cannot publish
[com.arsdigita.cms.TextAsset:{id=7066}]
	at com.arsdigita.util.Assert.fail(Assert.java:64)
	at
com.arsdigita.cms.lifecycle.PublishLifecycleListener.begin(PublishLifecycleListener.java:86)
	at com.arsdigita.cms.lifecycle.Lifecycle.fireListeners(Lifecycle.java:553)
	at com.arsdigita.cms.lifecycle.Lifecycle.start(Lifecycle.java:508)
	at
com.arsdigita.cms.ui.lifecycle.ItemLifecycleSelectForm$ProcessListener.process(ItemLifecycleSelectForm.java:409)
	at com.arsdigita.bebop.FormSection.fireProcess(FormSection.java:444)
	at com.arsdigita.bebop.FormSection$4.process(FormSection.java:418)
	at com.arsdigita.bebop.FormModel.fireFormProcess(FormModel.java:478)
	at com.arsdigita.bebop.FormModel.process(FormModel.java:345)
	at com.arsdigita.bebop.Form.process(Form.java:431)
	at com.arsdigita.bebop.Form.respond(Form.java:276)
	at com.arsdigita.bebop.PageState.respond(PageState.java:348)
	at com.arsdigita.bebop.Page.process(Page.java:696)
	at com.arsdigita.bebop.Page.process(Page.java:678)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:732)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:246)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:71)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:254)
	at
_packages._content_22dsection._www._admin._item__jsp._jspService(/packages/content-section/www/admin/item.jsp:31)
	at com.caucho.jsp.JavaPage.service(JavaPage.java:75)
	at com.caucho.jsp.Page.subservice(Page.java:485)
	at com.caucho.server.http.FilterChainPage.doFilter(FilterChainPage.java:182)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java:135)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardHelper(DispatcherHelper.java:163)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:192)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:205)
	at
com.arsdigita.cms.dispatcher.FileDispatcher.chainedDispatch(FileDispatcher.java:61)
	at com.arsdigita.dispatcher.DispatcherChain.dispatch(DispatcherChain.java:74)
	at
com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:135)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:119)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:113)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:128)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:104)
	at com.arsdigita.web.BaseServlet.doPost(BaseServlet.java:238)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:165)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java:135)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:212)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:198)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:130)
	at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:136)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java:135)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:512)

Note You need to log in before you can comment on or make changes to this bug.